<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>UI documentation</title>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
		
		<link href="https://fonts.googleapis.com/css?family=PT+Sans+Narrow:700|Roboto+Slab:400,700" rel="stylesheet">
		<!--<link href="https://cdn.muicss.com/mui-latest/css/mui.min.css" rel="stylesheet" type="text/css" />-->
		<!-- Font Awesome -->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		<!-- Bootstrap core CSS -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
		<!-- Material Design Bootstrap -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/css/mdb.min.css" rel="stylesheet">
		<link href="css/fontello.css" rel="stylesheet" type="text/css" />
		<link href="https://unpkg.com/normalize.css@^4.1.1" rel="stylesheet" />
		<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	
		<link href="https://unpkg.com/@blueprintjs/core@^1.11.0/dist/blueprint.css" rel="stylesheet" />
		<link href="css/font-awesome.css" rel="stylesheet" />
		<link href="css/blueprint-grid.min.css" rel="stylesheet" />
		<link rel="stylesheet" href="https://unpkg.com/tippy.js@4/themes/light.css" />
	
	
		<link href="css/style.css" rel="stylesheet" />
		<link href="css/notyf.min.css" rel="stylesheet" />
		<link href="css/select2.css" rel="stylesheet" />
		
		
		
		<link href="css/ui-demo.css" rel="stylesheet" type="text/css" />
		
		<!-- JQuery -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Bootstrap tooltips -->
		<script>
			$(document).ready(function(){ 
				$.get("menu.html", function(data){
					$("#menu").replaceWith(data);
				});
			});
		</script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/js/mdb.min.js"></script>
		<!--<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://cdn.muicss.com/mui-latest/js/mui.min.js"></script>-->
		<script src="js/jquery.waypoints.min.js"></script>
		<script src="js/ui-demo.js"></script>
	</head>
	<body id="noscroll">
		<script src="js/helper.js"></script>
		<script src="js/select2.js"></script>
		<script src="js/time-period.js"></script>
		<script src="js/helper-menu.js"></script>
		
		<header id="header">
			<nav class="navbar navbar-dark bg-primary">
				<span class="navbar-brand h1"></span>
			</nav>
		</header>
		<div id="sidedrawer">
			<div id="menu"></div>
		</div>
		
		<div id="content-wrapper">
			<div class="p-4 mt-0"></div>
			<div class="container">
				
				<h2 class="ui">Components</h2>
				<div class="result-container card mb-4 p-3">
					<h3 class="ui">Search results</h3>
					<div class="example text-center">
						<img src="images/result-row.png" class="img-fluid">
						<img src="images/result-row-grid.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Title:
text-decoration: none;
text color: Primary;
margin-bottom: 10px;
line-height: 1.5rem;
font-size: 17px;
font-family: 'Roboto Slab', serif;
font-weight: 400;

Description excerpt:
text color: Muted;
line-height: 1.5;
font-size: 14px;
padding: 0 0 5px 0;
margin: 0 0 8px 0;

Dimensions:
text color: TXT - light;
font-weight: bold;
font-style: italic;

Open/Close icon:
icon-chevron-down, icon-chevron-up


</code></pre>
						</div>
						<div class="col-md-6">
							Collpased results row
							<ul>
								<li>10-2 grid ratio</li>
								<li>Only 2 rows of the description is visible</li>
								<li>Only dimensions are visible</li>
								<li>download button aligns fixed to the bottom of the row (also when opened)</li>
								<li>the chevron-down icon changes to chevron-up when opens</li>
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-open.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Description:
color: TXT - light;

Separator lines:
border-bottom: 1px solid (color:) Muted;
width: 100px;
padding: 4px 0 0 0;
margin: 0 0 4px 0;

Dimensions:
text color: TXT - light;

Last updated part:
color: TXT - light;
font-size: 12px;
padding: 4px 0 0 0;
margin: 0 0 4px 0;
</code></pre>
						</div>
						<div class="col-md-6">
							Opened results row
							<ul>
								<li>the chevron-down icon changes to chevron-up when opens</li>
								<li>Description color changes</li>
								<li>Description has full content</li>
								<li>download button aligns fixed to the bottom of the row</li>
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-open-tooltip.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Tooltip item:
border-bottom: 1px dotted Primary;

Tooltip box:
color: Neutral lighten-5;
border-radius: .25rem;
font-size: .875rem;
padding: .3125rem .5625rem;
line-height: 1.4;
text-align: center;
background: TXT - dark;</code></pre>
						</div>
						<div class="col-md-6">
							Tooltips
							<ul>
								<li>Topics only shows last item of hierarchy, with ... > </li>
								<li>On mouse over the tooltip appears that shows the whole hierarchy</li>
								<li>I used tippyjs (https://atomiks.github.io/tippyjs/)</li>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
				</div>
				<hr>
				<div class="card mb-4 p-3">
					<h4>Edge cases</h4>
					<div class="example text-center">
						<img src="images/result-row-edge1.png" class="img-fluid">
					</div>
					<div class="example text-center">
						<img src="images/result-row-edge2.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-md-6">
							Long name, long description, long reference area
							<ul>
								<li>Reference area only shows in one line (if it is longer then ... appears)</li>
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-edge3.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-md-6">
							Link in description
							<ul>
								<li>link in description behaves like a normal link</li>
							</ul>
						</div>
					</div>
				</div>
				<hr>
				<div class="card mb-4 p-3">
					<h4>Highlights</h4>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Highlight:
background: yellow;
color: inherit;
border-bottom: 2px solid highlight-2;
padding: 0 2px;</code></pre>
						</div>
						<div class="col-md-6">

						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-hl1.png" class="img-fluid">
					</div>
					
					<div class="example text-center">
						<img src="images/result-row-hl2.png" class="img-fluid">
					</div>
					
					<div class="example text-center">
						<img src="images/result-row-hl2b.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-md-6">
							
							<ul>
								<li>If keyword is not in descriptions first 2 rows, then a 3. row is shown in ... ...</li>
								<li>This row shows the keyword highlighted and a few words before and after it, to show the context</li>
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-hl3.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-md-6">
							
							<ul>
								<li>If keyword is in the hidden area, the row where the keyword is comes to the visible part even if collapsed</li>
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-hl4.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-md-6">
							
							<ul>
								<li>the row containing the highlighted element goes back to the original place when row is expanded.</li>
								<li>If keyword is not in the last item of the hierarchy, then that element is also shown in ... >  > ...</li>
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-hl4b.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">color: TXT-dark;</code></pre>
						</div>
						<div class="col-md-6">
							<ul>
								<li>Also tooltop shows the highlight</li>
							</ul>
						</div>
					</div>
				</div>
				<hr>
				<div class="card mb-4 p-3">
					<h4>Codes and labels</h4>
					<div class="example text-center">
						<img src="images/result-row-c.png" class="img-fluid">
					</div>
					<div class="example text-center">
						<img src="images/result-row-open-c.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-md-6">
							code view
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<div class="example text-center">
						<img src="images/result-row-lc.png" class="img-fluid">
					</div>
					<div class="example text-center">
						<img src="images/result-row-open-lc.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Code text:
text color: TXT - light;</code></pre>
						</div>
						<div class="col-md-6">
							code and label view
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
				</div>
				<hr>
				<div class="card mb-4 p-3">
					<h4>Mobile</h4>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/result-row-mobile.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Body content:
padding: 0 16px;

Buttons:
width: 44px;
height: 44px;
line-height: 44px;
text-align: center;
margin-left: 8px;
</code></pre>
							<ul>
								<li>buttons have no more the text</li>
								<li>11-1 grid ratio</li>
								<li>the border of the buttons in the demo shows only the size of the clickable area, no border is needed!</li>
							</ul>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/result-row-mobile-grid.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<ul>
								<li>download button has no more the text</li>
								<li>11-1 grid ratio</li>
							</ul>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/result-row-mobile-open.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/result-row-mobile-tooltip.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<ul>
								<li>tooltip shows on click</li>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<footer id="footer">
			<div class="container">
				xxx
			</div>
		</footer>
	</body>
</html>
